Installer - Bug #17032

Upgrade from 1.12.3 to 1.13 - ERROR on missing Puppet bootstrap.cfg file
10/19/2016 11:11 PM - Anandharaj Subramaniam

Status: Rejected

Priority: Normal
Assignee:

Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.13.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| got the following ERROR messages when i run the "_foreman-installer --noop --dont-save-answers --verbose_". My Puppet Server
is 2.6.0

[ WARN 2016-10-20 10:19:57 verbose] # These normally shouldn't need to be edited if using 0OS pack
ages

[ WARN 2016-10-20 10:19:57 verbose] USER="puppet"

[ WARN 2016-10-20 10:19:57 verbose] /Stage[main]/Puppet::Server::Puppetserver/Augeas [puppet::serv
er: :puppetserver::jvm]/returns: current_value need_to_run, should be 0 (noop)

[ WARN 2016-10-20 10:19:57 verbose] Augeas|[puppet::server: :puppetserver: :bootstrap] (provider=auge
as):

[ WARN 2016-10-20 10:19:57 verbose] --- /etc/sysconfig/puppetserver 2016-09-08 04:32:12.000000
000 +0800
[ WARN 2016-10-20 10:19:57 verbose] +++ /etc/sysconfig/puppetserver.augnew 2016-10-20 10:19:5

7.738995000 +0800

[ WARN 2016-10-20 10:19:57 verbose] @@ -15,7 +15,7 Q@

[ WARN 2016-10-20 10:19:57 verbose] CONFIG="/etc/puppetlabs/puppetserver/conf.d"

[ WARN 2016-10-20 10:19:57 verbose]

[ WARN 2016-10-20 10:19:57 verbose] # Bootstrap path

[ WARN 2016-10-20 10:19:57 verbose] —-BOOTSTRAP_CONFIG="/etc/puppetlabs/puppetserver/services.d/, /o
pt/puppetlabs/server/apps/puppetserver/config/services.d/"

[ WARN 2016-10-20 10:19:57 verbose] +BOOTSTRAP_CONFIG="/etc/puppetlabs/puppetserver/bootstrap.cfqg,
/etc/puppetlabs/puppetserver/services.d/, /opt/puppetlabs/server/apps/puppetserver/config/services.
das"

[ WARN 2016-10-20 10:19:57 verbose]

[ WARN 2016-10-20 10:19:57 verbose] SERVICE_STOP_RETRIES=60

[ WARN 2016-10-20 10:19:57 verbose]

[ WARN 2016-10-20 10:19:57 verbose] /Stage[main]/Puppet::Server::Puppetserver/Augeas [puppet::serv
er: :puppetserver: :bootstrap]/returns: current_value need_to_run, should be 0 (noop)

[ WARN 2016-10-20 10:19:57 verbose] /Stage[main]/Puppet::Server::Puppetserver/File[/etc/puppetlab
s/puppetserver/bootstrap.cfg] /ensure: current_value absent, should be file (noop)

[ERROR 2016-10-20 10:19:57 verbose] /Stage[main]/Puppet::Server::Puppetserver/File_line[ca_enable
d]: Could not evaluate: No such file or directory @ rb_sysopen - /etc/puppetlabs/puppetserver/boot
strap.cfg

[ERROR 2016-10-20 10:19:57 verbose] /usr/share/foreman-installer/modules/stdlib/lib/puppet/provide
r/file_line/ruby.rb:39:in “readlines'

[ERROR 2016-10-20 10:19:57 verbose] /usr/share/foreman—-installer/modules/stdlib/lib/puppet/provide
r/file_line/ruby.rb:39:in "lines'

[ERROR 2016-10-20 10:19:57 verbose] /usr/share/foreman—-installer/modules/stdlib/lib/puppet/provide
r/file_line/ruby.rb:6:in “exists?'

[ERROR 2016-10-20 10:19:57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property/en
sure.rb:81l:1in “retrieve'

[ERROR 2016-10-20 10:19:57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:106
9:in “retrieve'

[ERROR 2016-10-20 10:19:57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:109
7:1in “retrieve_resource'
[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

/resource_harness.rb:300:in " from_resource'

[ERROR 2016-10-20 10:19:
/resource_harness.rb:20:
[ERROR 2016-10-20 10:19:
.rb:224:in " apply'

[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction
in “evaluate'
57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

.rb:240:1in “eval_resource'

[ERROR 2016-10-20 10:19:
.rb:163:in “call’
[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

.rb:163:in "block (2 levels) in evaluate'

[ERROR 2016-10-20 10:19:
:in “block in thinmark'
[ERROR 2016-10-20 10:19:
ltime'

[ERROR 2016-10-20 10:19:
:in “thinmark'

[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:386
57 verbose] /opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in "rea
57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:385

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

.rb:163:in "block in evaluate'

[ERROR 2016-10-20 10:19:
ionship_graph.rb:118:in
[ERROR 2016-10-20 10:19:
.rb:154:in “evaluate'

[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/relat
‘traverse'
57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/ca

talog.rb:222:in "block in apply’

[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.rb

:155:in "with_destination'’

[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transaction

/report.rb:137:in ‘as_logging_destination'

[ERROR 2016-10-20 10:19:
talog.rb:221:in "apply'
[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/ca

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.

rb:171:in "block in apply_catalog'

[ERROR 2016-10-20 10:19:
:in "block in benchmark'
[ERROR 2016-10-20 10:19:
ltime'

[ERROR 2016-10-20 10:19:
:in “benchmark'

[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:223
57 verbose] /opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in "rea
57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:222

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.

rb:170:in "apply_catalog'

[ERROR 2016-10-20 10:19:
rb:343:in ‘run_internal'
[ERROR 2016-10-20 10:19:
rb:221:in “block in run'
[ERROR 2016-10-20 10:19:
65:1in ‘override'

[ERROR 2016-10-20 10:19:
override'

[ERROR 2016-10-20 10:19:
rb:195:in “run'

[ERROR 2016-10-20 10:19:

/apply.rb:350:1in “apply_

[ERROR 2016-10-20 10:19:
/apply.rb:274:in “block
[ERROR 2016-10-20 10:19:
65:in “override'

[ERROR 2016-10-20 10:19:
override'

[ERROR 2016-10-20 10:19:
/apply.rb:225:in ‘main'
[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.
57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.
57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:
57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:241:in
57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configurer.
57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application
catalog'

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application
in main'

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:
57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:241:in

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application

/apply.rb:170:in " run_command'

[ERROR 2016-10-20 10:19:

57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application

.rb:344:in “block in run'

[ERROR 2016-10-20 10:19:
:in “exit_on_fail'

[ERROR 2016-10-20 10:19:57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/application
.rb:344:in “run'

[ERROR 2016-10-20 10:19:57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/comman
d_line.rb:132:in “run'

[ERROR 2016-10-20 10:19:57 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/comman
d_line.rb:72:in "execute'

[ERROR 2016-10-20 10:19:57 verbose] /opt/puppetlabs/puppet/bin/puppet:5:in "~ <main>'

Similar to http:/projects.theforeman.org/issues/15132

History

#1 - 10/20/2016 03:13 AM - Dominic Cleal
- Project changed from Foreman to Installer
- Category changed from PuppetCA to Foreman modules

- Status changed from New to Feedback

The file is missing because you're running in --noop mode. Check the previous line and you will see it's due to be created:

[ WARN 2016-10-20 10:19:57 verbose] /Stage[main]/Puppet::Server::Puppetserver/File[/etc/puppetlabs/puppetserv
er/bootstrap.cfg]/ensure: current_value absent, should be file (noop)

Try running the installer.

#2 - 10/20/2016 05:43 AM - Anandharaj Subramaniam

Running just the foreman-installer is successful but the Puppet Server unable to start. Then i found this
https://groups.google.com/forum/#!topic/foreman-users/w4N08K83Ubs and run the installer again with --puppet-server-puppetserver-version=2.6.0
option.

| guess this should be stated in the document.
Also, the bootstrap.cfg file is depreciated in latest PupperServer. Any reason why this being created by Foreman?
#3 - 10/20/2016 05:47 AM - Dominic Cleal
Anandharaj Subramaniam wrote:
Running just the foreman-installer is successful but the Puppet Server unable to start. Then i found this

https://groups.google.com/forum/#!topic/foreman-users/w4N08K83Ubs and run the installer again with
--puppet-server-puppetserver-version=2.6.0 option.

| guess this should be stated in the document.
This should only need to be changed if you've also upgraded Puppet Server. It shouldn't be necessary if the version of Puppet Server hasn't changed
since initial installation.

Also, the bootstrap.cfg file is depreciated in latest PupperServer. Any reason why this being created by Foreman?

With puppetserver-version set to 2.6.0, it shouldn't be created any more - only when being configured for 2.4 or lower, or 2.4/2.5 compatibility mode
(2.4.99). If you've upgraded from 1.12 then the value may have been set to 2.4.99, which was the current version at release.

#4 - 10/20/2016 09:53 PM - Anandharaj Subramaniam
Dominic Cleal wrote:
This should only need to be changed if you've also upgraded Puppet Server. It shouldn't be necessary if the version of Puppet Server hasn't
changed since initial installation.
Noted. The PuppetServer might get updated when we run yum upgrade. Perhaps, it is good if PuppetServer version can be validated every time run
the foreman-installer
With puppetserver-version set to 2.6.0, it shouldn't be created any more - only when being configured for 2.4 or lower, or 2.4/2.5 compatibility

mode (2.4.99). If you've upgraded from 1.12 then the value may have been set to 2.4.99, which was the current version at release.

Noted on this. The file seems created when i first run the foreman-installer command without specifying the PeppetServer version.
http://projects.theforeman.org/issues/15132
https://groups.google.com/forum/#!topic/foreman-users/w4N08K83Ubs
https://groups.google.com/forum/#!topic/foreman-users/w4N08K83Ubs

#5 - 05/17/2017 11:43 AM - Anonymous
- Status changed from Feedback to Rejected

works as designed.
